dav1d: Dav1dSequenceHeader Struct Reference

dav1d 1.3.0 dav1d is an AV1 decoder

Loading...
Searching...
No Matches
Data Structures | Data Fields
Dav1dSequenceHeader Struct Reference

`#include <headers.h>`

Collaboration diagram for Dav1dSequenceHeader:
[legend]

## Data Structures
struct | Dav1dSequenceHeaderOperatingParameterInfo
struct | Dav1dSequenceHeaderOperatingPoint

## Data Fields
uint8_t | profile
int | max_width
int | max_height
enum Dav1dPixelLayout | layout
| format of the picture
enum Dav1dColorPrimaries | pri
| color primaries (av1)
enum Dav1dTransferCharacteristics | trc
| transfer characteristics (av1)
enum Dav1dMatrixCoefficients | mtrx
| matrix coefficients (av1)
enum Dav1dChromaSamplePosition | chr
| chroma sample position (av1)
uint8_t | hbd
uint8_t | color_range
uint8_t | num_operating_points
struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingPoint | operating_points [DAV1D_MAX_OPERATING_POINTS]
uint8_t | still_picture
uint8_t | reduced_still_picture_header
uint8_t | timing_info_present
uint32_t | num_units_in_tick
uint32_t | time_scale
uint8_t | equal_picture_interval
uint32_t | num_ticks_per_picture
uint8_t | decoder_model_info_present
uint8_t | encoder_decoder_buffer_delay_length
uint32_t | num_units_in_decoding_tick
uint8_t | buffer_removal_delay_length
uint8_t | frame_presentation_delay_length
uint8_t | display_model_info_present
uint8_t | width_n_bits
uint8_t | height_n_bits
uint8_t | frame_id_numbers_present
uint8_t | delta_frame_id_n_bits
uint8_t | frame_id_n_bits
uint8_t | sb128
uint8_t | filter_intra
uint8_t | intra_edge_filter
uint8_t | inter_intra
uint8_t | masked_compound
uint8_t | warped_motion
uint8_t | dual_filter
uint8_t | order_hint
uint8_t | jnt_comp
uint8_t | ref_frame_mvs
enum Dav1dAdaptiveBoolean | screen_content_tools
enum Dav1dAdaptiveBoolean | force_integer_mv
uint8_t | order_hint_n_bits
uint8_t | super_res
uint8_t | cdef
uint8_t | restoration
uint8_t | ss_hor
uint8_t | ss_ver
uint8_t | monochrome
uint8_t | color_description_present
uint8_t | separate_uv_delta_q
uint8_t | film_grain_present
struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingParameterInfo | operating_parameter_info [DAV1D_MAX_OPERATING_POINTS]

## Field Documentation

## ◆ buffer_removal_delay_length

uint8_t Dav1dSequenceHeader::buffer_removal_delay_length

## ◆ cdef

uint8_t Dav1dSequenceHeader::cdef

## ◆ chr

enum Dav1dChromaSamplePosition Dav1dSequenceHeader::chr

chroma sample position (av1)

## ◆ color_description_present

uint8_t Dav1dSequenceHeader::color_description_present

## ◆ color_range

uint8_t Dav1dSequenceHeader::color_range

Pixel data uses JPEG pixel range ([0,255] for 8bits) instead of MPEG pixel range ([16,235] for 8bits luma, [16,240] for 8bits chroma).

## ◆ decoder_model_info_present

uint8_t Dav1dSequenceHeader::decoder_model_info_present

## ◆ delta_frame_id_n_bits

uint8_t Dav1dSequenceHeader::delta_frame_id_n_bits

## ◆ display_model_info_present

uint8_t Dav1dSequenceHeader::display_model_info_present

## ◆ dual_filter

uint8_t Dav1dSequenceHeader::dual_filter

## ◆ encoder_decoder_buffer_delay_length

uint8_t Dav1dSequenceHeader::encoder_decoder_buffer_delay_length

## ◆ equal_picture_interval

uint8_t Dav1dSequenceHeader::equal_picture_interval

## ◆ film_grain_present

uint8_t Dav1dSequenceHeader::film_grain_present

## ◆ filter_intra

uint8_t Dav1dSequenceHeader::filter_intra

## ◆ force_integer_mv

enum Dav1dAdaptiveBoolean Dav1dSequenceHeader::force_integer_mv

## ◆ frame_id_n_bits

uint8_t Dav1dSequenceHeader::frame_id_n_bits

## ◆ frame_id_numbers_present

uint8_t Dav1dSequenceHeader::frame_id_numbers_present

## ◆ frame_presentation_delay_length

uint8_t Dav1dSequenceHeader::frame_presentation_delay_length

## ◆ hbd

uint8_t Dav1dSequenceHeader::hbd

0, 1 and 2 mean 8, 10 or 12 bits/component, respectively. This is not exactly the same as 'hbd' from the spec; the spec's hbd distinguishes between 8 (0) and 10-12 (1) bits/component, and another element (twelve_bit) to distinguish between 10 and 12 bits/component. To get the spec's hbd, use !!our_hbd, and to get twelve_bit, use hbd == 2.

## ◆ height_n_bits

uint8_t Dav1dSequenceHeader::height_n_bits

## ◆ inter_intra

uint8_t Dav1dSequenceHeader::inter_intra

## ◆ intra_edge_filter

uint8_t Dav1dSequenceHeader::intra_edge_filter

## ◆ jnt_comp

uint8_t Dav1dSequenceHeader::jnt_comp

## ◆ layout

enum Dav1dPixelLayout Dav1dSequenceHeader::layout

format of the picture

## ◆ masked_compound

uint8_t Dav1dSequenceHeader::masked_compound

## ◆ max_height

int Dav1dSequenceHeader::max_height

## ◆ max_width

int Dav1dSequenceHeader::max_width

Maximum dimensions for this stream. In non-scalable streams, these are often the actual dimensions of the stream, although that is not a normative requirement.

## ◆ monochrome

uint8_t Dav1dSequenceHeader::monochrome

## ◆ mtrx

enum Dav1dMatrixCoefficients Dav1dSequenceHeader::mtrx

matrix coefficients (av1)

## ◆ num_operating_points

uint8_t Dav1dSequenceHeader::num_operating_points

## ◆ num_ticks_per_picture

uint32_t Dav1dSequenceHeader::num_ticks_per_picture

## ◆ num_units_in_decoding_tick

uint32_t Dav1dSequenceHeader::num_units_in_decoding_tick

## ◆ num_units_in_tick

uint32_t Dav1dSequenceHeader::num_units_in_tick

## ◆ operating_parameter_info

struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingParameterInfo Dav1dSequenceHeader::operating_parameter_info[DAV1D_MAX_OPERATING_POINTS]

## ◆ operating_points

struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingPoint Dav1dSequenceHeader::operating_points[DAV1D_MAX_OPERATING_POINTS]

## ◆ order_hint

uint8_t Dav1dSequenceHeader::order_hint

## ◆ order_hint_n_bits

uint8_t Dav1dSequenceHeader::order_hint_n_bits

## ◆ pri

enum Dav1dColorPrimaries Dav1dSequenceHeader::pri

color primaries (av1)

## ◆ profile

uint8_t Dav1dSequenceHeader::profile

Stream profile, 0 for 8-10 bits/component 4:2:0 or monochrome; 1 for 8-10 bits/component 4:4:4; 2 for 4:2:2 at any bits/component, or 12 bits/component at any chroma subsampling.

## ◆ reduced_still_picture_header

uint8_t Dav1dSequenceHeader::reduced_still_picture_header

## ◆ ref_frame_mvs

uint8_t Dav1dSequenceHeader::ref_frame_mvs

## ◆ restoration

uint8_t Dav1dSequenceHeader::restoration

## ◆ sb128

uint8_t Dav1dSequenceHeader::sb128

## ◆ screen_content_tools

enum Dav1dAdaptiveBoolean Dav1dSequenceHeader::screen_content_tools

## ◆ separate_uv_delta_q

uint8_t Dav1dSequenceHeader::separate_uv_delta_q

## ◆ ss_hor

uint8_t Dav1dSequenceHeader::ss_hor

## ◆ ss_ver

uint8_t Dav1dSequenceHeader::ss_ver

## ◆ still_picture

uint8_t Dav1dSequenceHeader::still_picture

## ◆ super_res

uint8_t Dav1dSequenceHeader::super_res

## ◆ time_scale

uint32_t Dav1dSequenceHeader::time_scale

## ◆ timing_info_present

uint8_t Dav1dSequenceHeader::timing_info_present

## ◆ trc

enum Dav1dTransferCharacteristics Dav1dSequenceHeader::trc

transfer characteristics (av1)

## ◆ warped_motion

uint8_t Dav1dSequenceHeader::warped_motion

## ◆ width_n_bits

uint8_t Dav1dSequenceHeader::width_n_bits

The documentation for this struct was generated from the following file:

- dav1d/headers.h